Name:    superkaramba
Summary: Create widgets for your KDE desktop 
Version: 4.9.4
Release: 1%{?dist}

License: GPLv2+
#URL:     https://projects.kde.org/projects/kde/kdeutils/%{name}
URL:     http://utils.kde.org/projects/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

## upstreamable patches
# namelink_skip for libsuperkaramaba (no exported api)
Patch50: superkaramba-4.7.80-namelink_skip.patch

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: pkgconfig(qimageblitz)
BuildRequires: python-devel python


# when split occured
Conflicts: kdeutils-common < 6:4.7.80

Obsoletes: kdeutils-superkaramba < 6:4.7.80
Provides:  kdeutils-superkaramba = 6:%{version}-%{release}

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}


%description
SuperKaramba is a tool that allows you to easily create interactive widgets on your KDE desktop.

%package libs
Summary: Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
Obsoletes: kdeutils-superkaramba-libs < 6:4.7.80
Provides:  kdeutils-superkaramba-libs = 6:%{version}-%{release}
%description libs
%{summary}.


%prep
%setup -q -n %{name}-%{version}

%patch50 -p1 -b .namelink_skip


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_kde4_bindir}/superkaramba
%{_kde4_appsdir}/superkaramba/
%{_kde4_configdir}/superkaramba.knsrc
%{_datadir}/dbus-1/interfaces/org.kde.superkaramba.xml
%{_kde4_datadir}/applications/kde4/superkaramba.desktop
%{_kde4_datadir}/kde4/services/plasma-package-superkaramba.desktop
%{_kde4_datadir}/kde4/services/plasma-scriptengine-superkaramba.desktop
%{_kde4_iconsdir}/hicolor/*/apps/superkaramba.*
%{_kde4_libdir}/kde4/plasma_package_superkaramba.so
%{_kde4_libdir}/kde4/plasma_scriptengine_superkaramba.so

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libsuperkaramba.so.4*


%changelog
* Mon Dec 03 2012 Than Ngo <than@redhat.com> - 4.9.4-1
- 4.9.4

* Sat Nov 03 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.3-1
- 4.9.3

* Sat Sep 29 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.2-1
- 4.9.2

* Mon Sep 03 2012 Than Ngo <than@redhat.com> - 4.9.1-1
- 4.9.1

* Thu Jul 26 2012 Lukas Tinkl <ltinkl@redhat.com> - 4.9.0-1
- 4.9.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.97-1
- 4.8.97

* Thu Jun 28 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.95-1
- 4.8.95

* Sun Jun 10 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.90-1
- 4.8.90

* Sun Jun 03 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.80-1
- 4.8.80

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Wed Mar 07 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.1-2
- s/kdebase-runtime/kde-runtime/

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-1
- 4.8.1

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.97-1
- 4.7.97

* Thu Dec 22 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Thu Dec 08 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- 4.7.90

* Sat Nov 26 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.80-1
- first try

